APERTIUM-INTERCHUNK(1)

NAME
apertium-interchunk - intermediate interchunk processor for Apertium

SYNOPSIS
apertium-interchunk [-tz] trules preproc [input [output]]

DESCRIPTION
This is an intermediate tool from Apertium level 2 engine. You should never have to use it independently.

It is the second transfer module of the Apertium level 2 transfer model after apertium-transfer(1) and before apertium-postchunk(1).

It takes care of interchunk processing operations such as chunk reordering, changes in the morphosyntactical features of chunks according to the information in neighboring chunks, or generating new chunks.

OPTIONS

-t  trace mode

-z  flush buffer on the null character

FILES
These are the kinds of files that can be used with this command:

trules
    A rules file with extension .t2x.

preproc
    A file with extension .t2x.bin that holds the result of preprocessing the trules file with apertium-preprocess-transfer(1).

input

output
    Represent the input and output files. By default they are the standard input and standard output.

SEE ALSO
apertium-gen-modes(1), apertium-postchunk(1), apertium-transfer(1), apertium-validate-interchunk(1), apertium-validate-modes(1), apertium-validate-postchunk(1)

COPYRIGHT
Copyright © 2005, 2006 Universitat d'Alacant / Universidad de Alicante. This is free software. You may redistribute copies of it under the terms of the GNU General Public License: https://www.gnu.org/licenses/gpl.html.

BUGS
Many... lurking in the dark and waiting for you!